QuicknavUtil (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.QuicknavUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class QuicknavUtil

    java.lang.Object
      org.hyperic.hq.ui.taglib.QuicknavUtil

    public class QuicknavUtil

extends java.lang.Object

Field Summary
`static java.lang.String` | `ICON_BORDER`
`static java.lang.String` | `ICON_HEIGHT`
`static java.lang.String` | `ICON_HREF_A`
`static java.lang.String` | `ICON_HREF_C`
`static java.lang.String` | `ICON_HREF_I`
`static java.lang.String` | `ICON_HREF_M`
`static java.lang.String` | `ICON_SRC_A`
`static java.lang.String` | `ICON_SRC_C`
`static java.lang.String` | `ICON_SRC_I`
`static java.lang.String` | `ICON_SRC_LOCKED`
`static java.lang.String` | `ICON_SRC_M`
`static java.lang.String` | `ICON_WIDTH`

Constructor Summary
`QuicknavUtil()`

Method Summary
`static boolean` | `canControl(AppdefResourceValue rv, javax.servlet.jsp.PageContext context)`
`static java.lang.String` | `getNA()`
`static java.lang.String` | `getOutput(AppdefResourceValue rv, javax.servlet.jsp.PageContext context)`
`static boolean` | `isAlertable(AppdefResourceValue rv, javax.servlet.jsp.PageContext ctx)`
`static boolean` | `isControllable(AppdefResourceValue rv, javax.servlet.jsp.PageContext context)`
`static boolean` | `isMonitorable(AppdefResourceValue rv)`
`static void` | `makeLinkedIcon(AppdefResourceValue rv, java.lang.StringBuffer buf, java.lang.String href, java.lang.String src, javax.servlet.jsp.PageContext context)`
`static void` | `makeLinkedIconWithRef(AppdefResourceValue rv, java.lang.StringBuffer buf, java.lang.String href, java.lang.String src, javax.servlet.jsp.PageContext context)`
`static void` | `makeLockedIcon(java.lang.StringBuffer buf, javax.servlet.jsp.PageContext context)`
`static void` | `parameterizeUrl(AppdefResourceValue rv, java.lang.StringBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON_BORDER

    public static final java.lang.String ICON_BORDER

See Also:
  Constant Field Values

### ICON_HEIGHT

    public static final java.lang.String ICON_HEIGHT

See Also:
  Constant Field Values

### ICON_WIDTH

    public static final java.lang.String ICON_WIDTH

See Also:
  Constant Field Values

### ICON_SRC_LOCKED

    public static final java.lang.String ICON_SRC_LOCKED

See Also:
  Constant Field Values

### ICON_HREF_A

    public static final java.lang.String ICON_HREF_A

See Also:
  Constant Field Values

### ICON_SRC_A

    public static final java.lang.String ICON_SRC_A

See Also:
  Constant Field Values

### ICON_HREF_C

    public static final java.lang.String ICON_HREF_C

See Also:
  Constant Field Values

### ICON_SRC_C

    public static final java.lang.String ICON_SRC_C

See Also:
  Constant Field Values

### ICON_HREF_I

    public static final java.lang.String ICON_HREF_I

See Also:
  Constant Field Values

### ICON_SRC_I

    public static final java.lang.String ICON_SRC_I

See Also:
  Constant Field Values

### ICON_HREF_M

    public static final java.lang.String ICON_HREF_M

See Also:
  Constant Field Values

### ICON_SRC_M

    public static final java.lang.String ICON_SRC_M

See Also:
  Constant Field Values

Constructor Detail

### QuicknavUtil

    public QuicknavUtil()

Method Detail

### getNA

    public static java.lang.String getNA()

### isMonitorable

    public static boolean isMonitorable(AppdefResourceValue rv)

### isAlertable

    public static boolean isAlertable(AppdefResourceValue rv,
                                      javax.servlet.jsp.PageContext ctx)

### isControllable

    public static boolean isControllable(AppdefResourceValue rv,
                                         javax.servlet.jsp.PageContext context)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### canControl

    public static boolean canControl(AppdefResourceValue rv,
                                     javax.servlet.jsp.PageContext context)

### parameterizeUrl

    public static void parameterizeUrl(AppdefResourceValue rv,
                                       java.lang.StringBuffer buf)

### makeLinkedIconWithRef

    public static void makeLinkedIconWithRef(AppdefResourceValue rv,
                                             java.lang.StringBuffer buf,
                                             java.lang.String href,
                                             java.lang.String src,
                                             javax.servlet.jsp.PageContext context)

### makeLinkedIcon

    public static void makeLinkedIcon(AppdefResourceValue rv,
                                      java.lang.StringBuffer buf,
                                      java.lang.String href,
                                      java.lang.String src,
                                      javax.servlet.jsp.PageContext context)

### makeLockedIcon

    public static void makeLockedIcon(java.lang.StringBuffer buf,
                                      javax.servlet.jsp.PageContext context)

### getOutput

    public static java.lang.String getOutput(AppdefResourceValue rv,
                                             javax.servlet.jsp.PageContext context)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.